Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
S_usb_user_configuration_descriptor Struct Reference

Usb Class-Specific AS Isochronous Feedback Endpoint Descriptors pp 4.10.2.2 (none) More...

`#include <uac1_usb_descriptors.h>`

## Data Fields
S_usb_configuration_descriptor | cfg
S_usb_interface_descriptor | ifc0
S_usb_hid_descriptor | hid
S_usb_endpoint_descriptor | ep1
S_usb_endpoint_descriptor | ep2
S_usb_interface_association_descriptor | iad1
| Audio descriptors Class 2. More...
S_usb_interface_descriptor | ifc2
S_usb_ac_interface_descriptor_1 | audioac
S_usb_in_ter_descriptor_1 | mic_in_ter
S_usb_feature_unit_descriptor_1 | mic_fea_unit
S_usb_out_ter_descriptor_1 | mic_out_ter
S_usb_in_ter_descriptor_1 | spk_in_ter
S_usb_feature_unit_descriptor_1 | spk_fea_unit
S_usb_out_ter_descriptor_1 | spk_out_ter
S_usb_as_interface_descriptor | spk_as_alt0
S_usb_as_interface_descriptor | spk_as_alt1
S_usb_as_g_interface_descriptor_1 | spk_g_as
S_usb_format_type_1 | spk_format_type
S_usb_endpoint_audio_descriptor_1 | ep3
S_usb_endpoint_audio_specific_1 | ep3_s
S_usb_endpoint_audio_descriptor_1 | ep4
S_usb_as_interface_descriptor | mic_as_alt0
S_usb_as_interface_descriptor | mic_as_alt1
S_usb_as_g_interface_descriptor_1 | mic_g_as
S_usb_format_type_1 | mic_format_type
S_usb_endpoint_audio_descriptor_1 | ep5
S_usb_endpoint_audio_specific_1 | ep5_s
S_usb_interface_descriptor | ifc1
S_usb_ac_interface_descriptor_2 | audioac
S_usb_clock_source_descriptor | audio_cs1
S_usb_clock_source_descriptor | audio_cs2
S_usb_clock_selector_descriptor | audio_csel
S_usb_in_ter_descriptor_2 | mic_in_ter
S_usb_feature_unit_descriptor_2 | mic_fea_unit
S_usb_out_ter_descriptor_2 | mic_out_ter
S_usb_in_ter_descriptor_2 | spk_in_ter
S_usb_feature_unit_descriptor_2 | spk_fea_unit
S_usb_out_ter_descriptor_2 | spk_out_ter
S_usb_as_g_interface_descriptor_2 | mic_g_as
S_usb_format_type_2 | mic_format_type
S_usb_endpoint_audio_descriptor_2 | ep1
S_usb_endpoint_audio_specific_2 | ep1_s
S_usb_as_g_interface_descriptor_2 | spk_g_as
S_usb_format_type_2 | spk_format_type
S_usb_endpoint_audio_descriptor_2 | ep2
S_usb_endpoint_audio_specific_2 | ep2_s
S_usb_endpoint_audio_descriptor_2 | ep3

## Detailed Description

Usb Class-Specific AS Isochronous Feedback Endpoint Descriptors pp 4.10.2.2 (none)

## Field Documentation

S_usb_clock_source_descriptor S_usb_user_configuration_descriptor::audio_cs1

S_usb_clock_source_descriptor S_usb_user_configuration_descriptor::audio_cs2

S_usb_clock_selector_descriptor S_usb_user_configuration_descriptor::audio_csel

S_usb_ac_interface_descriptor_2 S_usb_user_configuration_descriptor::audioac

S_usb_ac_interface_descriptor_1 S_usb_user_configuration_descriptor::audioac

S_usb_configuration_descriptor S_usb_user_configuration_descriptor::cfg

S_usb_endpoint_descriptor S_usb_user_configuration_descriptor::ep1

S_usb_endpoint_audio_descriptor_2 S_usb_user_configuration_descriptor::ep1

S_usb_endpoint_audio_specific_2 S_usb_user_configuration_descriptor::ep1_s

S_usb_endpoint_descriptor S_usb_user_configuration_descriptor::ep2

S_usb_endpoint_audio_descriptor_2 S_usb_user_configuration_descriptor::ep2

S_usb_endpoint_audio_specific_2 S_usb_user_configuration_descriptor::ep2_s

S_usb_endpoint_audio_descriptor_1 S_usb_user_configuration_descriptor::ep3

S_usb_endpoint_audio_descriptor_2 S_usb_user_configuration_descriptor::ep3

S_usb_endpoint_audio_specific_1 S_usb_user_configuration_descriptor::ep3_s

S_usb_endpoint_audio_descriptor_1 S_usb_user_configuration_descriptor::ep4

S_usb_endpoint_audio_descriptor_1 S_usb_user_configuration_descriptor::ep5

S_usb_endpoint_audio_specific_1 S_usb_user_configuration_descriptor::ep5_s

S_usb_hid_descriptor S_usb_user_configuration_descriptor::hid

S_usb_interface_association_descriptor S_usb_user_configuration_descriptor::iad1

Audio descriptors Class 2.

S_usb_interface_descriptor S_usb_user_configuration_descriptor::ifc0

S_usb_interface_descriptor S_usb_user_configuration_descriptor::ifc1

S_usb_interface_descriptor S_usb_user_configuration_descriptor::ifc2

S_usb_as_interface_descriptor S_usb_user_configuration_descriptor::mic_as_alt0

S_usb_as_interface_descriptor S_usb_user_configuration_descriptor::mic_as_alt1

S_usb_feature_unit_descriptor_2 S_usb_user_configuration_descriptor::mic_fea_unit

S_usb_feature_unit_descriptor_1 S_usb_user_configuration_descriptor::mic_fea_unit

S_usb_format_type_2 S_usb_user_configuration_descriptor::mic_format_type

S_usb_format_type_1 S_usb_user_configuration_descriptor::mic_format_type

S_usb_as_g_interface_descriptor_2 S_usb_user_configuration_descriptor::mic_g_as

S_usb_as_g_interface_descriptor_1 S_usb_user_configuration_descriptor::mic_g_as

S_usb_in_ter_descriptor_2 S_usb_user_configuration_descriptor::mic_in_ter

S_usb_in_ter_descriptor_1 S_usb_user_configuration_descriptor::mic_in_ter

S_usb_out_ter_descriptor_2 S_usb_user_configuration_descriptor::mic_out_ter

S_usb_out_ter_descriptor_1 S_usb_user_configuration_descriptor::mic_out_ter

S_usb_as_interface_descriptor S_usb_user_configuration_descriptor::spk_as_alt0

S_usb_as_interface_descriptor S_usb_user_configuration_descriptor::spk_as_alt1

S_usb_feature_unit_descriptor_2 S_usb_user_configuration_descriptor::spk_fea_unit

S_usb_feature_unit_descriptor_1 S_usb_user_configuration_descriptor::spk_fea_unit

S_usb_format_type_1 S_usb_user_configuration_descriptor::spk_format_type

S_usb_format_type_2 S_usb_user_configuration_descriptor::spk_format_type

S_usb_as_g_interface_descriptor_1 S_usb_user_configuration_descriptor::spk_g_as

S_usb_as_g_interface_descriptor_2 S_usb_user_configuration_descriptor::spk_g_as

S_usb_in_ter_descriptor_2 S_usb_user_configuration_descriptor::spk_in_ter

S_usb_in_ter_descriptor_1 S_usb_user_configuration_descriptor::spk_in_ter

S_usb_out_ter_descriptor_2 S_usb_user_configuration_descriptor::spk_out_ter

S_usb_out_ter_descriptor_1 S_usb_user_configuration_descriptor::spk_out_ter

The documentation for this struct was generated from the following files:

- /mnt/data/GENTOO_FILES/home/k1ll3r/Dokumenty/Diplomka/Sonochan_II/FW_sdr_widget/sdr-widget/src/uac1_usb_descriptors.h
- /mnt/data/GENTOO_FILES/home/k1ll3r/Dokumenty/Diplomka/Sonochan_II/FW_sdr_widget/sdr-widget/src/uac2_usb_descriptors.h